@echo off
pushd %~dp0

:: Install the crash fix
IF EXIST "d3dx-ME3.ini" (
  ECHO Mass Effect 3 Crash Fix
  ECHO Please note that this will cause the hardware mouse cursor to remain at screen depth, so playing with a controller is advised
  REN "d3dx.ini" "d3dx-OG.ini"
  REN "d3dx-ME3.ini" "d3dx.ini"
  GOTO:END
)
:: Reverts the crash fix
IF EXIST "d3dx-OG.ini" (
  ECHO Mass Effect 3 Crash Fix
  ECHO Reverting back to original d3dx.ini. This will restore use of the software mouse cursor, which will be depth adjustable
  REN "d3dx.ini" "d3dx-ME3.ini"
  REN "d3dx-OG.ini" "d3dx.ini"
  GOTO:END  
)
:: No files found
IF NOT EXIST "d3dx.ini" (
  ECHO File not found. Please reinstall fix
)
:END
PAUSE
EXIT